Package org.apache.nutch.hostdb

## Class ResolverThread

- java.lang.Object
- - org.apache.nutch.hostdb.ResolverThread

- All Implemented Interfaces:
    `Runnable`

      public class ResolverThread
      extends Object
      implements Runnable

  Simple runnable that performs DNS lookup for a single host.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Reducer.Context` | `context` |
    `protected HostDatum` | `datum` |
    `protected String` | `host` |
    `protected Text` | `hostText` |
    `protected int` | `purgeFailedHostsThreshold` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResolverThread​(String host, HostDatum datum, Reducer.Context context, int purgeFailedHostsThreshold)` | Overloaded constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `run()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### host

          protected String host

    - #### datum

          protected HostDatum datum

    - #### hostText

          protected Text hostText

    - #### context

          protected Reducer.Context context

    - #### purgeFailedHostsThreshold

          protected int purgeFailedHostsThreshold

  - ### Constructor Detail

    - #### ResolverThread

          public ResolverThread​(String host,
                                HostDatum datum,
                                Reducer.Context context,
                                int purgeFailedHostsThreshold)

      Overloaded constructor.
      Parameters:
        `host` - name of the host to lookup
        `datum` - accompanying host information
        `context` - `Reducer.Context` for writing custom counters and output.
        `purgeFailedHostsThreshold` - int value which marks the maximum failed DNS lookups before a given host is purged from the hostdb

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`